#BW Loader

##Author
BoostWillis

##Intro:
This project is a 3D printed Ejection Port Loader, similar to the BF-10 from Bear Flag Defense, or the MA Loader from Mean Arms. 

##Background:
Many (US) state Assault Weapons Bans are written such that an individual may not own a rifle with standard furniture AND a detachable magazine. For people who choose to go out of their way to abide by the letter of the law, there are a number of different compliance devices available on the commercial market. Compliant furniture can be expensive, so to save money (and aesthetics) some people choose to simply fix their magazines in place. This results in a firearm that is much less usable, since it has to be disassembled in order to be reloaded. In order to make this configuration feasible, we resort to a technology that has been around for more than 100 years: the humble stripper clip. 

Everything old is new again.

This modern design is much less finicky than the stripper clips of old. It fully contains and supports the rounds during loading, so that loading is always a single, smooth motion. This loader was designed using Ivan's AR15 reference model, which is an invaluable resource for designing AR-15 accessories. 


##Value
3d Printers have a unique value proposition when it comes to producing firearm accessories, especially accessories commonly bought in multiples. Compliance devices are expensive. Commercially available ejection port loaders retail for $25-35 each, and tend to be of questionable quality. In any other state, a relatively modest total of four magazines equates to 120 rounds. That would equate to twelve 10-round ejection port loaders, costing >=$300 total. With 3d printing, those loaders cost less than a dollar each. If you bought an Ender 3 outright and printed that many over the course of 3 days, you would have saved $100 and still have a printer left over for other projects (or to print more for friends and family). The Ender 3 is regularly available from Creality's official store on AliExpress for <$175, and a 1KG roll of eSun PLA Pro sells for ~$23 on Amazon.

##How To
This model was designed with pretty narrow clearances. If you find that your loaders are binding inside your upper, you may need to do some sanding, or recalibrate your extruder and flow rate for better dimensional accuracy. If all else fails, you can use Horizontal Expansion in the slicer to force your dimensions in line. This is an excellent candidate for variable layer heights. This model is printed without support and contains some very steep overhangs, so thin layers in those areas along with excellent part cooling will go a long way toward preventing drooping.
	Material: eSun PLA+ (Other filaments should be perfectly fine as well. Ex: PETG for heat resistance)
	Layer Height: 0.2mm (Variable between 0.16mm and 0.24mm recommended)
	Shells: 3
	Line Width: 0.5mm
	Infill: 20%
	Support: None
	Fan Speed: 100%

##Usage
Assemble the loader with the follower and baseplate, and load rounds through the face, pressing them past the retaining tabs. Repeated disassembly may damage the baseplate, so it is not advised. To load a rifle with the bolt locked to the rear, insert the loader deeply into the ejection port of the rifle, and swiftly ram the follower home with your thumb. It is important to make sure the face of the loader is as close to the top of the magazine as possible when loading to ensure that the follower is able to properly seat the last round in the magazine. This can be ensured by applying some upward pressure to the body of the loader when loading. Applying downward pressure may result in a malfunction. Finally, strip the loader from the rifle and drop the bolt.

##Suggested Possible Modifications
Styling
Personalization
Texture
Ruggedization
Automatic bolt release lug
Compatibility with 5.56 Stripper Clips
Support for other AR-15 cartridges (300 BLK, 7.62x39, 6.5 Grendel, etc)
Molle Pouch

##Special Thanks
IvanTheTroll
JStark1809
Duces